Index: BOOK/cross-tools/ppc/gcc-final.xml
===================================================================
--- BOOK/cross-tools/ppc/gcc-final.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/cross-tools/ppc/gcc-final.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -22,12 +22,4 @@
   <sect2 role="installation">
     <title>Installation of GCC Cross Compiler</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='pp1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='pp2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/ppc/gcc-static.xml
===================================================================
--- BOOK/cross-tools/ppc/gcc-static.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/cross-tools/ppc/gcc-static.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -23,12 +23,4 @@
     <title>Installation of Cross GCC Compiler with Static libgcc
     and no Threads</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/ppc64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/ppc64/gcc-final.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/cross-tools/ppc64/gcc-final.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -22,12 +22,4 @@
   <sect2 role="installation">
     <title>Installation of GCC Cross Compiler</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='pp1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="gcc-static.xml"
-    xpointer="xpointer(//*[@os='pp2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/cross-tools/ppc64/gcc-static.xml
===================================================================
--- BOOK/cross-tools/ppc64/gcc-static.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/cross-tools/ppc64/gcc-static.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -23,12 +23,4 @@
     <title>Installation of Cross GCC Compiler with Static libgcc
     and no Threads</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/ppc/gcc.xml
===================================================================
--- BOOK/final-system/ppc/gcc.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/final-system/ppc/gcc.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -21,8 +21,4 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
-
-    <para os="pp1">The following patch contains fixes to allow GCC build on a PowerPC:</para>
-
-<screen os="pp2"><userinput>patch -Np1 -i ../&gcc-ppc_fixes-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/final-system/ppc64/gcc.xml
===================================================================
--- BOOK/final-system/ppc64/gcc.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/final-system/ppc64/gcc.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -21,27 +21,4 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp2'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/gcc.xml"
-    xpointer="xpointer(//*[@os='p1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../common/gcc.xml"
-    xpointer="xpointer(//*[@os='p2'])"/>
-
-    <para os="ap1">GCC includes a <filename class="directory">nof</filename> directory
-    of 32-bit code for processors which do not have hardware floating point.
-    Installing it causes a linkage failure on a 64-bit system. and is
-    unnecessary.  The following patch will prevent it being compiled.</para>
-
-<screen os="ap2"><userinput>patch -Np1 -i ../&gcc-nof-patch;</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/introduction/common/changelog.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -42,4 +42,7 @@
         <listitem>
           <para>[Jim] - Removed Glibc. Moved to Eglibc 2.10.1.</para>
+        </listitem>
+        <listitem>
+          <para>[Jim] - Updated GCC to 4.4.0.</para>
         </listitem>
       </itemizedlist>
Index: BOOK/materials/ppc/patches.xml
===================================================================
--- BOOK/materials/ppc/patches.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/materials/ppc/patches.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -12,13 +12,4 @@
 
   <variablelist role="materials">
-
-    <varlistentry os="gcc-ppc-fixes-patch">
-      <term>GCC Powerpc Fixes Patch - <token>&gcc-ppc_fixes-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&gcc-ppc_fixes-patch;"/></para>
-        <para>MD5 sum: <literal>&gcc-ppc_fixes-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/materials/ppc64/patches.xml
===================================================================
--- BOOK/materials/ppc64/patches.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/materials/ppc64/patches.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -16,17 +16,4 @@
     href="../x86_64/patches.xml"
     xpointer="xpointer(//*[@os='binutils-multilib-patch'])"/>
-
-    <varlistentry>
-      <term>GCC PPC64 Multilib Patch - <token>&gcc-nof-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&gcc-nof-patch;"/></para>
-        <para>MD5 sum: <literal>&gcc-nof-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../ppc/patches.xml"
-    xpointer="xpointer(//*[@os='gcc-ppc-fixes-patch'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/packages.ent	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -160,8 +160,8 @@
 <!ENTITY gawk-home "&gnu-software;gawk">
 
-<!ENTITY gcc-version "4.3.3">
-<!ENTITY gcc-size "57,978 KB">
+<!ENTITY gcc-version "4.4.0">
+<!ENTITY gcc-size "61,238 KB">
 <!ENTITY gcc-url "ftp://gcc.gnu.org/pub/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "cc3c5565fdb9ab87a05ddb106ba0bd1f">
+<!ENTITY gcc-md5 "cf5d787bee57f38168b74d65a7c0e6fd">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/patches.ent	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -45,14 +45,14 @@
 <!ENTITY file-new_compressors-patch-size "1 KB">
 
-<!ENTITY gcc-branch_update-patch "gcc-&gcc-version;-branch_update-5.patch">
-<!ENTITY gcc-branch_update-patch-md5 "d52b227655a341694809de17eba2d58d">
-<!ENTITY gcc-branch_update-patch-size "359 KB">
+<!ENTITY gcc-branch_update-patch "gcc-&gcc-version;-branch_update-1.patch">
+<!ENTITY gcc-branch_update-patch-md5 "4c81822aab054101a112d4879ce34fe4">
+<!ENTITY gcc-branch_update-patch-size "442 KB">
 
 <!ENTITY gcc-posix-patch "gcc-&gcc-version;-posix-1.patch">
-<!ENTITY gcc-posix-patch-md5 "ccc0d5f959234bf4fed2b6fa338d6117">
-<!ENTITY gcc-posix-patch-size "13 KB">
+<!ENTITY gcc-posix-patch-md5 "22e096640c1ac70421336cba0f80d70f">
+<!ENTITY gcc-posix-patch-size "14 KB">
 
 <!ENTITY gcc-specs-patch "gcc-&gcc-version;-specs-1.patch">
-<!ENTITY gcc-specs-patch-md5 "3da1b54d2f8145310e5426e5b7545182">
+<!ENTITY gcc-specs-patch-md5 "76e36d37161a1b2df151a6c5915000e4">
 <!ENTITY gcc-specs-patch-size "16 KB">
 
@@ -150,9 +150,9 @@
 
 <!ENTITY gcc-pure64-patch "gcc-&gcc-version;-pure64-1.patch">
-<!ENTITY gcc-pure64-patch-md5 "5ed31dd2cd54388ac78240b7b9505b33">
+<!ENTITY gcc-pure64-patch-md5 "48a1031f7a9f7966fa4d1cede4fcbac0">
 <!ENTITY gcc-pure64-patch-size "8 KB">
 
 <!ENTITY gcc-specs_pure64-patch "gcc-&gcc-version;-pure64_specs-1.patch">
-<!ENTITY gcc-specs_pure64-patch-md5 "39199e76b77cea53033290a576767a16">
+<!ENTITY gcc-specs_pure64-patch-md5 "7eb1893d7113804cd194b0bb2831ad7a">
 <!ENTITY gcc-specs_pure64-patch-size "16 KB">
 
Index: BOOK/temp-system/ppc/gcc.xml
===================================================================
--- BOOK/temp-system/ppc/gcc.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/temp-system/ppc/gcc.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -22,12 +22,4 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
Index: BOOK/temp-system/ppc64/gcc.xml
===================================================================
--- BOOK/temp-system/ppc64/gcc.xml	(revision 207aad64beaea77a28180085ccaece1dde1cbee4)
+++ BOOK/temp-system/ppc64/gcc.xml	(revision 77e17c8d49567878da4e9c1b603e0478301c8674)
@@ -22,12 +22,4 @@
   <sect2 role="installation">
     <title>Installation of GCC</title>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp1'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../final-system/ppc/gcc.xml"
-    xpointer="xpointer(//*[@os='pp2'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"