Index: patches/mpfr-3.1.5-fixes-1.patch
===================================================================
--- patches/mpfr-3.1.5-fixes-1.patch	(revision 79bc75752dd978c1ddc521ba95edc7b9471c53ef)
+++ patches/mpfr-3.1.5-fixes-1.patch	(revision 79bc75752dd978c1ddc521ba95edc7b9471c53ef)
@@ -0,0 +1,149 @@
+Submitted By: William Harrington (kb0iic at cross-lfs dot org)
+Date: 2017-05-10
+Initial Package Version: 3.1.5
+Origin: Upstream
+Upstream Status: Applied
+Description: Contains all upstream patches of mpfr current to patch level 2.
+
+diff -Naur mpfr-3.1.5.orig/PATCHES mpfr-3.1.5/PATCHES
+--- mpfr-3.1.5.orig/PATCHES	2016-09-27 07:58:15.000000000 +0000
++++ mpfr-3.1.5/PATCHES	2017-05-10 23:18:31.760630521 +0000
+@@ -0,0 +1,2 @@
++strtofr
++vasprintf
+diff -Naur mpfr-3.1.5.orig/VERSION mpfr-3.1.5/VERSION
+--- mpfr-3.1.5.orig/VERSION	2016-09-27 07:58:14.000000000 +0000
++++ mpfr-3.1.5/VERSION	2017-05-10 23:18:31.767631412 +0000
+@@ -1 +1 @@
+-3.1.5
++3.1.5-p2
+diff -Naur mpfr-3.1.5.orig/src/mpfr.h mpfr-3.1.5/src/mpfr.h
+--- mpfr-3.1.5.orig/src/mpfr.h	2016-09-27 07:58:15.000000000 +0000
++++ mpfr-3.1.5/src/mpfr.h	2017-05-10 23:18:31.782633324 +0000
+@@ -27,7 +27,7 @@
+ #define MPFR_VERSION_MAJOR 3
+ #define MPFR_VERSION_MINOR 1
+ #define MPFR_VERSION_PATCHLEVEL 5
+-#define MPFR_VERSION_STRING "3.1.5"
++#define MPFR_VERSION_STRING "3.1.5-p2"
+ 
+ /* Macros dealing with MPFR VERSION */
+ #define MPFR_VERSION_NUM(a,b,c) (((a) << 16L) | ((b) << 8) | (c))
+diff -Naur mpfr-3.1.5.orig/src/strtofr.c mpfr-3.1.5/src/strtofr.c
+--- mpfr-3.1.5.orig/src/strtofr.c	2016-09-27 07:58:15.000000000 +0000
++++ mpfr-3.1.5/src/strtofr.c	2017-05-10 23:18:31.795634980 +0000
+@@ -743,11 +743,14 @@
+          of the pstr_size most significant digits of pstr->mant, with
+          equality in case exact is non-zero. */
+ 
+-      /* test if rounding is possible, and if so exit the loop */
+-      if (exact || mpfr_can_round_raw (result, ysize,
+-                                       (pstr->negative) ? -1 : 1,
+-                                       ysize_bits - err - 1,
+-                                       MPFR_RNDN, rnd, MPFR_PREC(x)))
++      /* test if rounding is possible, and if so exit the loop.
++         Note: we also need to be able to determine the correct ternary value,
++         thus we use the MPFR_PREC(x) + (rnd == MPFR_RNDN) trick.
++         For example if result = xxx...xxx111...111 and rnd = RNDN,
++         then we know the correct rounding is xxx...xx(x+1), but we cannot know
++         the correct ternary value. */
++      if (exact || mpfr_round_p (result, ysize, ysize_bits - err - 1,
++                                 MPFR_PREC(x) + (rnd == MPFR_RNDN)))
+         break;
+ 
+     next_loop:
+diff -Naur mpfr-3.1.5.orig/src/vasprintf.c mpfr-3.1.5/src/vasprintf.c
+--- mpfr-3.1.5.orig/src/vasprintf.c	2016-09-27 07:58:15.000000000 +0000
++++ mpfr-3.1.5/src/vasprintf.c	2017-05-10 23:18:31.741628100 +0000
+@@ -1593,7 +1593,7 @@
+         }
+       else if (spec.spec == 'f' || spec.spec == 'F')
+         {
+-          if (spec.prec == -1)
++          if (spec.prec < 0)
+             spec.prec = 6;
+           if (regular_fg (np, p, spec, NULL) == -1)
+             goto error;
+diff -Naur mpfr-3.1.5.orig/src/version.c mpfr-3.1.5/src/version.c
+--- mpfr-3.1.5.orig/src/version.c	2016-09-27 07:58:15.000000000 +0000
++++ mpfr-3.1.5/src/version.c	2017-05-10 23:18:31.806636381 +0000
+@@ -25,5 +25,5 @@
+ const char *
+ mpfr_get_version (void)
+ {
+-  return "3.1.5";
++  return "3.1.5-p2";
+ }
+diff -Naur mpfr-3.1.5.orig/tests/tsprintf.c mpfr-3.1.5/tests/tsprintf.c
+--- mpfr-3.1.5.orig/tests/tsprintf.c	2016-09-27 07:58:14.000000000 +0000
++++ mpfr-3.1.5/tests/tsprintf.c	2017-05-10 23:18:31.754629756 +0000
+@@ -1251,6 +1251,25 @@
+   check_emin_aux (MPFR_EMIN_MIN);
+ }
+ 
++static void
++test20161214 (void)
++{
++  mpfr_t x;
++  char buf[32];
++  const char s[] = "0x0.fffffffffffff8p+1024";
++  int r;
++
++  mpfr_init2 (x, 64);
++  mpfr_set_str (x, s, 16, MPFR_RNDN);
++  r = mpfr_snprintf (buf, 32, "%.*RDf", -2, x);
++  MPFR_ASSERTN(r == 316);
++  r = mpfr_snprintf (buf, 32, "%.*RDf", INT_MIN + 1, x);
++  MPFR_ASSERTN(r == 316);
++  r = mpfr_snprintf (buf, 32, "%.*RDf", INT_MIN, x);
++  MPFR_ASSERTN(r == 316);
++  mpfr_clear (x);
++}
++
+ int
+ main (int argc, char **argv)
+ {
+@@ -1271,6 +1290,7 @@
+   mixed ();
+   check_emax ();
+   check_emin ();
++  test20161214 ();
+ 
+ #if defined(HAVE_LOCALE_H) && defined(HAVE_SETLOCALE)
+ #if MPFR_LCONV_DPTS
+diff -Naur mpfr-3.1.5.orig/tests/tstrtofr.c mpfr-3.1.5/tests/tstrtofr.c
+--- mpfr-3.1.5.orig/tests/tstrtofr.c	2016-09-27 07:58:14.000000000 +0000
++++ mpfr-3.1.5/tests/tstrtofr.c	2017-05-10 23:18:31.811637019 +0000
+@@ -1191,6 +1191,24 @@
+   mpfr_clears (e, x1, x2, (mpfr_ptr) 0);
+ }
+ 
++/* Note: the number is 5^47/2^9. */
++static void
++bug20161217 (void)
++{
++  mpfr_t fp, z;
++  static const char * num = "0.1387778780781445675529539585113525390625e31";
++  int inex;
++
++  mpfr_init2 (fp, 110);
++  mpfr_init2 (z, 110);
++  inex = mpfr_strtofr (fp, num, NULL, 10, MPFR_RNDN);
++  MPFR_ASSERTN(inex == 0);
++  mpfr_set_str_binary (z, "10001100001000010011110110011101101001010000001011011110010001010100010100100110111101000010001011001100001101E-9");
++  MPFR_ASSERTN(mpfr_equal_p (fp, z));
++  mpfr_clear (fp);
++  mpfr_clear (z);
++}
++
+ int
+ main (int argc, char *argv[])
+ {
+@@ -1205,6 +1223,7 @@
+   test20100310 ();
+   bug20120814 ();
+   bug20120829 ();
++  bug20161217 ();
+ 
+   tests_end_mpfr ();
+   return 0;