Index: BOOK/appendices/dependencies/common.xml
===================================================================
--- BOOK/appendices/dependencies/common.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/appendices/dependencies/common.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -283,6 +283,6 @@
       </segmentedlist>
 
-<!-- Begin CLFS-Bootscripts dependency info -->
-  <bridgehead renderas="sect2" id="bootscripts-dep">CLFS-Bootscripts</bridgehead>
+<!-- Begin CLFS-Boot-scripts dependency info -->
+  <bridgehead renderas="sect2" id="boot-scripts-dep">CLFS-Boot-scripts</bridgehead>
 
       <segmentedlist>
Index: BOOK/appendices/rationale/common.xml
===================================================================
--- BOOK/appendices/rationale/common.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/appendices/rationale/common.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -79,5 +79,5 @@
 
     <listitem>
-      <para>CLFS-Bootscripts</para>
+      <para>CLFS-Boot-scripts</para>
       <para>This package contains a number of scripts that run at boottime,
       performing essential tasks such as mounting/checking filesystems and
Index: BOOK/boot/alpha-chapter.xml
===================================================================
--- BOOK/boot/alpha-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/alpha-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: OK/boot/common/bootscripts.xml
===================================================================
--- BOOK/boot/common/bootscripts.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ 	(revision )
@@ -1,233 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-scripts-bootscripts" role="wrap">
-  <?dbhtml filename="bootscripts.html"?>
-
-  <title>Bootscripts for CLFS &bootscripts-clfs-version;</title>
-
-  <indexterm zone="ch-scripts-bootscripts">
-    <primary sortas="a-Bootscripts">Bootscripts</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <para>The Bootscripts package contains a set of scripts to
-    start/stop the CLFS system at bootup/shutdown.</para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Bootscripts</title>
-
-    <para os="s1">Update the bootscripts so they can be used in /tools:</para>
-
-<screen os="s2"><userinput>patch -Np1 -i ../bootscripts-cross-lfs-2.1-pre1-updates-1.patch</userinput></screen>
-
-    <para os="a">Install the package:</para>
-
-<screen os="b"><userinput>make DESTDIR=/tools install-minimal</userinput></screen>
-
-  <para os="c">The <command>setclock</command> script reads the time from the
-  hardware clock, also known as the BIOS or the Complementary Metal Oxide
-  Semiconductor (CMOS) clock. If the hardware clock is set to UTC, this
-  script will convert the hardware clock's time to the local time using
-  the <filename>/etc/localtime</filename> file (which tells the
-  <command>hwclock</command> program which timezone the user is in). There
-  is no way to detect whether or not the hardware clock is set to UTC, so
-  this needs to be configured manually.</para>
-
-
-
-  <para os="d">If you do not know whether or not the hardware clock is set to UTC,
-  you can find out after you have booted the new machine by running the
-  <userinput>hwclock --localtime  --show</userinput> command, and if
-  necessary editing the <filename>/etc/sysconfig/clock</filename> script.
-  The worst that will happen if you make a wrong guess here is that the
-  time displayed will be wrong.</para>
-
-  <para os="e">Change the value of the <envar>UTC</envar> variable below
-  to a value of <option>0</option> (zero) if the hardware clock
-  is <emphasis>not</emphasis> set to UTC time.</para>
-
-<screen os="f"><userinput>cat &gt; /tools/etc/sysconfig/clock &lt;&lt; "EOF"
-<literal># Begin /tools/etc/sysconfig/clock
-
-UTC=1
-
-# End /tools/etc/sysconfig/clock</literal>
-EOF</userinput></screen>
-
-  </sect2>
-
-  <sect2 id="contents-bootscripts" role="content">
-    <title>Contents of Bootscripts</title>
-
-    <segmentedlist>
-      <segtitle>Installed scripts</segtitle>
-
-      <seglistitem>
-        <seg>checkfs, cleanfs, functions, halt, localnet, mountfs, mountkernfs,
-        rc, reboot, sendsignals, setclock, swap, and udev.</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="checkfs-bootscripts">
-        <term><command>checkfs</command></term>
-        <listitem>
-          <para>Checks the integrity of the file systems before they are
-          mounted (with the exception of journal and network based file
-          systems)</para>
-          <indexterm zone="ch-scripts-bootscripts checkfs-bootscripts">
-            <primary sortas="d-checkfs">checkfs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="cleanfs-bootscripts">
-        <term><command>cleanfs</command></term>
-        <listitem>
-          <para>Removes files that should not be preserved between reboots,
-          such as those in <filename class="directory">/var/run/</filename>
-          and <filename class="directory">/var/lock/</filename>; it re-creates
-          <filename>/var/run/utmp</filename> and removes the possibly present
-          <filename>/etc/nologin</filename>, <filename>/fastboot</filename>,
-          and <filename>/forcefsck</filename> files</para>
-          <indexterm zone="ch-scripts-bootscripts cleanfs-bootscripts">
-            <primary sortas="d-cleanfs">cleanfs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="functions-bootscripts">
-        <term><command>functions</command></term>
-        <listitem>
-          <para>Contains common functions, such as error and status checking,
-          that are used by several bootscripts</para>
-          <indexterm zone="ch-scripts-bootscripts functions-bootscripts">
-            <primary sortas="d-functions">functions</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="halt-bootscripts">
-        <term><command>halt</command></term>
-        <listitem>
-          <para>Halts the system</para>
-          <indexterm zone="ch-scripts-bootscripts halt-bootscripts">
-            <primary sortas="d-halt">halt</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="localnet-bootscripts">
-        <term><command>localnet</command></term>
-        <listitem>
-          <para>Sets up the system's hostname and local loopback device</para>
-          <indexterm zone="ch-scripts-bootscripts localnet-bootscripts">
-            <primary sortas="d-localnet">localnet</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="mountfs-bootscripts">
-        <term><command>mountfs</command></term>
-        <listitem>
-          <para>Mounts all file systems, except ones that are marked
-          <emphasis>noauto</emphasis> or are network based</para>
-          <indexterm zone="ch-scripts-bootscripts mountfs-bootscripts">
-            <primary sortas="d-mountfs">mountfs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="mountkernfs-bootscripts">
-        <term><command>mountkernfs</command></term>
-        <listitem>
-          <para>Mounts virtual kernel file systems, such as
-          <systemitem class="filesystem">proc</systemitem></para>
-          <indexterm zone="ch-scripts-bootscripts mountkernfs-bootscripts">
-            <primary sortas="d-mountkernfs">mountkernfs</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="rc-bootscripts">
-        <term><command>rc</command></term>
-        <listitem>
-          <para>The master run-level control script; it is responsible for
-          running all the other bootscripts one-by-one, in a sequence
-          determined by the name of the symbolic links being processed</para>
-          <indexterm zone="ch-scripts-bootscripts rc-bootscripts">
-            <primary sortas="d-rc">rc</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="reboot-bootscripts">
-        <term><command>reboot</command></term>
-        <listitem>
-          <para>Reboots the system</para>
-          <indexterm zone="ch-scripts-bootscripts reboot-bootscripts">
-            <primary sortas="d-reboot">reboot</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="sendsignals-bootscripts">
-        <term><command>sendsignals</command></term>
-        <listitem>
-          <para>Makes sure every process is terminated before the system reboots
-          or halts</para>
-          <indexterm zone="ch-scripts-bootscripts sendsignals-bootscripts">
-            <primary sortas="d-sendsignals">sendsignals</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="setclock-bootscripts">
-        <term><command>setclock</command></term>
-        <listitem>
-          <para>Resets the kernel clock to local time in case the hardware clock
-          is not set to UTC time</para>
-          <indexterm zone="ch-scripts-bootscripts setclock-bootscripts">
-            <primary sortas="d-setclock">setclock</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="swap-bootscripts">
-        <term><command>swap</command></term>
-        <listitem>
-          <para>Enables and disables swap files and partitions</para>
-          <indexterm zone="ch-scripts-bootscripts swap-bootscripts">
-            <primary sortas="d-swap">swap</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="eudev-bootscripts">
-        <term><command>udev</command></term>
-        <listitem>
-          <para>Starts and stops the Eudev daemon</para>
-          <indexterm zone="ch-scripts-bootscripts eudev-bootscripts">
-            <primary sortas="d-eudev">udev</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: BOOK/boot/mips-chapter.xml
===================================================================
--- BOOK/boot/mips-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/mips-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/boot/mips64-64-chapter.xml
===================================================================
--- BOOK/boot/mips64-64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/mips64-64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/kmod.xml"/>
Index: BOOK/boot/mips64-chapter.xml
===================================================================
--- BOOK/boot/mips64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/mips64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod.xml"/>
Index: BOOK/boot/ppc-chapter.xml
===================================================================
--- BOOK/boot/ppc-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/ppc-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/boot/ppc64-64-chapter.xml
===================================================================
--- BOOK/boot/ppc64-64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/ppc64-64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/kmod.xml"/>
Index: BOOK/boot/ppc64-chapter.xml
===================================================================
--- BOOK/boot/ppc64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/ppc64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc64/e2fsprogs-libs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ppc64/e2fsprogs.xml"/>
Index: BOOK/boot/sparc-chapter.xml
===================================================================
--- BOOK/boot/sparc-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/sparc-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/boot/sparc/silo.xml
===================================================================
--- BOOK/boot/sparc/silo.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/sparc/silo.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -17,5 +17,5 @@
 
   <para os="a">This is for the configuration of <command>silo</command>, similar
-  to what is in bootscripts.</para>
+  to what is in boot-scripts.</para>
 
 <screen><userinput>cat &gt; ${CLFS}/etc/silo.conf &lt;&lt; "EOF"
Index: BOOK/boot/sparc64-64-chapter.xml
===================================================================
--- BOOK/boot/sparc64-64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/sparc64-64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/kmod.xml"/>
Index: BOOK/boot/sparc64-chapter.xml
===================================================================
--- BOOK/boot/sparc64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/sparc64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod.xml"/>
Index: BOOK/boot/x86-chapter.xml
===================================================================
--- BOOK/boot/x86-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/x86-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/kmod.xml"/>
Index: BOOK/boot/x86_64-64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/x86_64-64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="64/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="x86_64-64/kmod.xml"/>
Index: BOOK/boot/x86_64-chapter.xml
===================================================================
--- BOOK/boot/x86_64-chapter.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/boot/x86_64-chapter.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -13,5 +13,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/introduction.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/bootscripts.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/boot-scripts.xml"/>
  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/e2fsprogs.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/kmod.xml"/>
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/introduction/common/changelog.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -38,4 +38,15 @@
 
     <listitem>
+      <para>26 April 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Chris] - Renamed bootscripts package to boot-scripts
+          (thanks to William Harrington for the suggestion) and removed the
+          patch as it is not needed for the new package.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>24 April 2014</para>
       <itemizedlist>
Index: BOOK/materials/common/packages.xml
===================================================================
--- BOOK/materials/common/packages.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/materials/common/packages.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -88,9 +88,9 @@
 
     <varlistentry>
-      <term>Bootscripts for CLFS (&bootscripts-clfs-version;) - <token>&bootscripts-clfs-size;</token>:</term>
-      <listitem>
-        <para>Home page: <ulink url="&bootscripts-clfs-home;"/></para>
-        <para>Download: <ulink url="&bootscripts-clfs-url;"/></para>
-        <para>MD5 sum: <literal>&bootscripts-clfs-md5;</literal></para>
+      <term>Boot-scripts for CLFS (&boot-scripts-clfs-version;) - <token>&boot-scripts-clfs-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&boot-scripts-clfs-home;"/></para>
+        <para>Download: <ulink url="&boot-scripts-clfs-url;"/></para>
+        <para>MD5 sum: <literal>&boot-scripts-clfs-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/materials/common/patches.xml	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -25,13 +25,4 @@
         url="&patches-root;&bash-branch_update-patch;"/></para>
         <para>MD5 sum: <literal>&bash-branch_update-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>Bootscripts Updates Patch - <token>&bootscripts-clfs-updates-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&bootscripts-clfs-updates-patch;"/></para>
-        <para>MD5 sum: <literal>&bootscripts-clfs-updates-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/packages.ent	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -68,10 +68,9 @@
 <!ENTITY bison-home "&gnu-software;bison">
 
-<!ENTITY bootscripts-clfs-version "2.1-pre1">
-<!ENTITY bootscripts-clfs-size "41 KB">
-<!-- <!ENTITY bootscripts-clfs-url "&packages-root;bootscripts-cross-lfs-&bootscripts-clfs-version;.tar.xz"> -->
-<!ENTITY bootscripts-clfs-url "http://cross-lfs.org/files/bootscripts-cross-lfs-&bootscripts-clfs-version;.tar.xz">
-<!ENTITY bootscripts-clfs-md5 "f474bf2efff744548a69d9049bad973f">
-<!ENTITY bootscripts-clfs-home " ">
+<!ENTITY boot-scripts-clfs-version "3.0-pre1">
+<!ENTITY boot-scripts-clfs-size "41 KB">
+<!ENTITY boot-scripts-clfs-url "&packages-root;boot-scripts-cross-lfs-&boot-scripts-clfs-version;.tar.bz2">
+<!ENTITY boot-scripts-clfs-md5 "f474bf2efff744548a69d9049bad973f">
+<!ENTITY boot-scripts-clfs-home " ">
 
 <!ENTITY bzip2-version "1.0.6">
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 4f3d4d57f4d07ef45640a7f386b9247a0348eb5a)
+++ BOOK/patches.ent	(revision 80a3b8afca4503991e13231cb0074e858c0bd288)
@@ -8,8 +8,4 @@
 <!ENTITY bash-branch_update-patch-md5 "64c6b5961f538a6b3d4c92f5c65ce51a">
 <!ENTITY bash-branch_update-patch-size "14.075 KB">
-
-<!ENTITY bootscripts-clfs-updates-patch "bootscripts-cross-lfs-&bootscripts-clfs-version;-updates-1.patch">
-<!ENTITY bootscripts-clfs-updates-patch-md5 "b584450a0baf3b0d71f319071feba111">
-<!ENTITY bootscripts-clfs-updates-patch-size "17.030 KB">
 
 <!-- Binutils branch update area