Index: BOOK/bootable/mips/kernel.xml
===================================================================
--- BOOK/bootable/mips/kernel.xml	(revision e5ece2c6481645a97641cd03962858d86a466ff2)
+++ BOOK/bootable/mips/kernel.xml	(revision 81d9bceae210cf1664e9e1b6a0be17222901018b)
@@ -42,9 +42,9 @@
    xpointer="xpointer(//*[@os='e'])"/>
 
-<screen os="f"><userinput>make ARCH=mips CROSS_COMPILE=${CLFS_TARGET}- menuconfig</userinput></screen>
-
    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
    href="../x86/kernel.xml"
-   xpointer="xpointer(//*[@os='g'])"/>
+   xpointer="xpointer(//*[@os='f'])"/>
+
+<screen os="g"><userinput>make ARCH=mips CROSS_COMPILE=${CLFS_TARGET}- menuconfig</userinput></screen>
 
    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -56,9 +56,9 @@
    xpointer="xpointer(//*[@os='i'])"/>
 
-<screen os="j"><userinput>make ARCH=mips CROSS_COMPILE=${CLFS_TARGET}-</userinput></screen>
-
    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
    href="../x86/kernel.xml"
-   xpointer="xpointer(//*[@os='k'])"/>
+   xpointer="xpointer(//*[@os='j'])"/>
+
+<screen os="k"><userinput>make ARCH=mips CROSS_COMPILE=${CLFS_TARGET}-</userinput></screen>
 
    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -78,10 +78,10 @@
    xpointer="xpointer(//*[@os='o'])"/>
 
-<screen os="p"><userinput>make ARCH=mips CROSS_COMPILE=${CLFS_TARGET}- \
-    INSTALL_MOD_PATH=${CLFS} modules_install</userinput></screen>
-
    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
    href="../x86/kernel.xml"
-   xpointer="xpointer(//*[@os='q'])"/>
+   xpointer="xpointer(//*[@os='p'])"/>
+
+<screen os="q"><userinput>make ARCH=mips CROSS_COMPILE=${CLFS_TARGET}- \
+    INSTALL_MOD_PATH=${CLFS} modules_install</userinput></screen>
 
    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
@@ -129,7 +129,11 @@
    xpointer="xpointer(//*[@os='z'])"/>
 
-    <para os="aa">The bootloaders section contains more information on
-    how to configure the kernel for specifc bootloaders. Please refer
-    to this section for your specific needs.</para>
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+   href="../x86/kernel.xml"
+   xpointer="xpointer(//*[@os='aa'])"/>
+
+   <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+   href="../x86/kernel.xml"
+   xpointer="xpointer(//*[@os='ab'])"/>
 
   </sect2>
Index: BOOK/bootable/x86/kernel.xml
===================================================================
--- BOOK/bootable/x86/kernel.xml	(revision e5ece2c6481645a97641cd03962858d86a466ff2)
+++ BOOK/bootable/x86/kernel.xml	(revision 81d9bceae210cf1664e9e1b6a0be17222901018b)
@@ -43,12 +43,17 @@
     packages outside of CLFS at <ulink
     url="&blfs-root;view/svn/longindex.html#kernel-config-index"/>:</para>
-
-<screen os="f"><userinput>make ARCH=i386 CROSS_COMPILE=${CLFS_TARGET}- menuconfig</userinput></screen>
-
-    <para os="g">Alternatively, <command>make oldconfig</command> may be more
+  
+    <note os="f"><para>Since we are building for an embedded system we need to make sure
+    our key components are build into the kernel and not as modules. Our key
+    components are console/video, disk, and network. With out these built in our
+    system will not function properly.</para></note>
+
+<screen os="g"><userinput>make ARCH=i386 CROSS_COMPILE=${CLFS_TARGET}- menuconfig</userinput></screen>
+
+    <para os="h">Alternatively, <command>make oldconfig</command> may be more
     appropriate in some situations. See the <filename>README</filename>
     file for more information.</para>
 
-    <para os="h">If desired, skip kernel configuration by copying the kernel
+    <para os="i">If desired, skip kernel configuration by copying the kernel
     config file, <filename>.config</filename>, from the host system
     (assuming it is available) to the root directory of the unpacked kernel
@@ -57,9 +62,9 @@
     from scratch.</para>
 
-    <para os="i">Compile the kernel image and modules:</para>
-
-<screen os="j"><userinput>make ARCH=i386 CROSS_COMPILE=${CLFS_TARGET}-</userinput></screen>
-
-    <para os="k">If using kernel modules, an
+    <para os="j">Compile the kernel image and modules:</para>
+
+<screen os="k"><userinput>make ARCH=i386 CROSS_COMPILE=${CLFS_TARGET}-</userinput></screen>
+
+    <para os="l">If using kernel modules, an
     <filename>/etc/modprobe.conf</filename> file may be needed.
     Information pertaining to modules and kernel configuration is
@@ -69,5 +74,5 @@
     be of interest.</para>
 
-    <para os="l">Be very careful when reading other documentation relating to
+    <para os="m">Be very careful when reading other documentation relating to
     kernel modules because it usually applies to 2.4.x kernels only. As
     far as we know, kernel configuration issues specific to Hotplug and
@@ -78,45 +83,45 @@
     <filename>/etc/modprobe.conf</filename> file do not work with Udev:</para>
 
-<screen os="m"><literal>alias char-major-XXX some-module</literal></screen>
-
-    <para os="n">Because of the complications with Udev and modules,
+<screen os="n"><literal>alias char-major-XXX some-module</literal></screen>
+
+    <para os="o">Because of the complications with Udev and modules,
     we strongly recommend starting with a completely non-modular kernel
     configuration, especially if this is the first time using Udev.</para>
 
-    <para os="o">Install the modules, if the kernel configuration uses
+    <para os="p">Install the modules, if the kernel configuration uses
     them:</para>
 
-<screen os="p"><userinput>make ARCH=i386 CROSS_COMPILE=${CLFS_TARGET}- \
+<screen os="q"><userinput>make ARCH=i386 CROSS_COMPILE=${CLFS_TARGET}- \
     INSTALL_MOD_PATH=${CLFS} modules_install</userinput></screen>
 
-    <para os="q">After kernel compilation is complete, additional steps are
+    <para os="r">After kernel compilation is complete, additional steps are
     required to complete the installation. Some files need to be copied to
     the <filename class="directory">${CLFS}/boot</filename> directory.</para>
 
-    <para os="r">Issue the following command to install the kernel:</para>
-
-<screen os="s"><userinput>cp vmlinux ${CLFS}/boot/clfskernel-&linux-version;</userinput></screen>
-
-    <para os="t"><filename>System.map</filename> is a symbol file for the kernel.
+    <para os="s">Issue the following command to install the kernel:</para>
+
+<screen os="t"><userinput>cp vmlinux ${CLFS}/boot/clfskernel-&linux-version;</userinput></screen>
+
+    <para os="u"><filename>System.map</filename> is a symbol file for the kernel.
     It maps the function entry points of every function in the kernel API,
     as well as the addresses of the kernel data structures for the running
     kernel. Issue the following command to install the map file:</para>
 
-<screen os="u"><userinput>cp System.map ${CLFS}/boot/System.map-&linux-version;</userinput></screen>
-
-    <para os="v">If we compiled our kernel with modules and we made sure depmod.pl
+<screen os="v"><userinput>cp System.map ${CLFS}/boot/System.map-&linux-version;</userinput></screen>
+
+    <para os="w">If we compiled our kernel with modules and we made sure depmod.pl
     is avaiable from busybox, we need to create the module dependency list by
     issuing the following command:</para>
 
-<screen os="w"><userinput>${CLFS}/cross-tools/bin/depmod.pl -F ${CLFS}/boot/System.map -b ${CLFS}/lib/modules/&linux-version;</userinput></screen>
-
-    <para os="x">The kernel configuration file <filename>.config</filename>
+<screen os="x"><userinput>${CLFS}/cross-tools/bin/depmod.pl -F ${CLFS}/boot/System.map -b ${CLFS}/lib/modules/&linux-version;</userinput></screen>
+
+    <para os="y">The kernel configuration file <filename>.config</filename>
     produced by the <command>make menuconfig</command> step above contains
     all the configuration selections for the kernel that was just compiled.
     It is a good idea to keep this file for future reference:</para>
 
-<screen os="y"><userinput>cp .config ${CLFS}/boot/config-&linux-version;</userinput></screen>
-
-    <warning os="z">
+<screen os="z"><userinput>cp .config ${CLFS}/boot/config-&linux-version;</userinput></screen>
+
+    <warning os="aa">
       <para>Some kernel documentation recommends creating a symlink from
       <filename class="symlink">/usr/src/linux</filename> pointing to the
@@ -132,4 +137,8 @@
       <emphasis>never</emphasis> be replaced by the kernel headers.</para>
     </warning>
+
+   <para os="ab">The bootloaders section contains more information on
+    how to configure the kernel for specifc bootloaders. Please refer
+    to this section for your specific needs.</para>
 
   </sect2>