Index: BOOK/network/common/choose.xml
===================================================================
--- BOOK/network/common/choose.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/common/choose.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -9,5 +9,5 @@
   <?dbhtml filename="choose.html"?>
 
-  <title>Systemd Networking?</title>
+  <title>DHCP or Static Networking?</title>
 
   <indexterm zone="ch-network-choose">
@@ -20,10 +20,11 @@
 
   <para> There are two different ways you can proceed from this point
-  to configure your network. You can use systemd, or install the
-  CLFS-Network-Scripts.</para>
+  to configure your network. Dynamic will allow you to take advantage of
+  a DHCP server to get all your configuration information. Static you become
+  responsible for setting up your options.</para>
 
-  <para>To use systemd to configure a Network Interface, Follow <xref linkend="ch-systemd-network"/>.</para>
+  <para>To configure a Static Interface, Follow <xref linkend="ch-network-static"/>.</para>
 
-  <para>To use CLFS-network-scripts to configure a Network Interface, Follow <xref linkend="ch-scripts-network-scripts"/>.</para>
+  <para>To configure a DHCP Interface, Follow <xref linkend="ch-network-dhcpcd"/>.</para>
 
 </sect1>
Index: BOOK/network/common/dhcpcd.xml
===================================================================
--- BOOK/network/common/dhcpcd.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/common/dhcpcd.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -47,52 +47,44 @@
 
   <sect2 id="conf-dhcpcd" role="configuration">
-    <title>Creating the DHCP Network Interface Configuration File</title>
+    <title>Creating the DHCP Network Interface Configuration Files</title>
 
-    <para>The following is an example for the eth0 interface. Refer to the
-    dhcpcd.conf man page for more information. This step may be skipped if
-    default behavior of dhcpcd is required.</para>
+    <para>First install the service from the CLFS Bootscripts package:</para>
 
-    <para>Create the <filename>/etc/dhcpcd.conf</filename> configuration file
-    using the following commands. Adjust appropriately for additional options:</para>
+<screen><userinput>tar -xvf bootscripts-cross-lfs-&bootscripts-clfs-version;.tar.xz
+cd bootscripts-cross-lfs-&bootscripts-clfs-version;
+make install-service-dhcpcd</userinput></screen>
 
-<screen><userinput>cd /etc &amp;&amp;
-cat &gt; dhcpcd.conf &lt;&lt; "EOF"
-<literal># dhcpcd configuration eth0 interface
-# See dhcpcd.conf(5) for details.
+    <para>Finally, create the
+    <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhcpcd</filename>
+    configuration file using the following commands. Adjust appropriately for
+    additional interfaces:</para>
 
-interface eth0
-# dhcpcd-run-hooks uses these options.
-option subnet_mask, routers, domain_name_servers
+<screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
+mkdir -v ifconfig.eth0 &amp;&amp;
+cat &gt; ifconfig.eth0/dhcpcd &lt;&lt; "EOF"
+<literal>ONBOOT="yes"
+SERVICE="dhcpcd"
 
-# The default timeout for waiting for a DHCP response is 30 seconds
-# which may be too long or too short and can be changed here.
-timeout 16</literal>
+# Start Command for DHCPCD
+DHCP_START="-q"
+
+# Stop Command for DHCPCD
+DHCP_STOP="-k"</literal>
 EOF</userinput></screen>
 
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="static.xml"
+    xpointer="xpointer(//*[@os='var-ob'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="static.xml"
+    xpointer="xpointer(//*[@os='var-s'])"/>
+
+    <para>The <envar>DHCP_START</envar> and <envar>DHCP_STOP</envar> variables
+    arguments that are passed onto <filename>dhcpcd</filename> when starting
+    and stoppping the service. More information about what can be passed can
+    be found in the <filename>dhcpcd(8)</filename> man page.</para>
+
     <para>To configure another Static Interface, Follow <xref linkend="ch-network-static"/>.</para>
-
-  </sect2>
-
-  <sect2>
-    <title>Configuring the Network Interface at boot</title>
-
-    <para>Enabling of the Network Interface configuration is
-    done per interface. To enable Network Interface
-    configuration at boot, run:</para>
-
-<screen role="nodump"><userinput>systemctl enable dhcpcd@eth0</userinput></screen>
-
-    <para>To disable previously enabled Network Interface
-    configuration at boot, run:</para>
-
-<screen role="nodump"><userinput>systemctl disable dhcpcd@eth0</userinput></screen>
-
-    <para>To manually start the Network Interface configuration,
-    run:</para>
-
-<screen role="nodump"><userinput>systemctl start dhcpcd@eth0</userinput></screen>
-
-    <para>Replace eth0 with the correct Network Interface
-    name as described on the beginning of this page.</para>
 
   </sect2>
Index: BOOK/network/common/hostname.xml
===================================================================
--- BOOK/network/common/hostname.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/common/hostname.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -9,17 +9,18 @@
   <?dbhtml filename="hostname.html"?>
 
-  <title>Configuring the system hostname</title>
+  <title>Configuring the localnet Script</title>
 
   <indexterm zone="ch-network-hostname">
-    <primary sortas="d-hostname">hostname</primary>
+    <primary sortas="d-localnet">localnet</primary>
   <secondary>configuring</secondary></indexterm>
 
-  <para>Systemd reads <filename>/etc/hostname</filename> to determine which
-  hostname should be set.</para>
+  <para>Part of the job of the <command>localnet</command> script is
+  setting the system's hostname. This needs to be configured in the
+  <filename>/etc/sysconfig/network</filename> file.</para>
 
-  <para>Create the <filename>/etc/hostname</filename> file and enter a hostname
-  by running:</para>
+  <para>Create the <filename>/etc/sysconfig/network</filename> file
+  and enter a hostname by running:</para>
 
-  <screen><userinput>echo "<replaceable>[clfs]</replaceable>" &gt; /etc/hostname</userinput></screen>
+  <screen><userinput>echo "HOSTNAME=<replaceable>[clfs]</replaceable>" &gt; /etc/sysconfig/network</userinput></screen>
 
   <para><replaceable>[clfs]</replaceable> needs to be replaced with the
Index: BOOK/network/common/network-scripts.xml
===================================================================
--- BOOK/network/common/network-scripts.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ 	(revision )
@@ -1,94 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-scripts-network-scripts" role="wrap">
-  <?dbhtml filename="network-scripts.html"?>
-
-  <sect1info condition="script">
-    <productname>clfs-network-scripts</productname>
-    <productnumber>&clfs-network-scripts-version;</productnumber>
-    <address>&clfs-network-scripts-url;</address>
-  </sect1info>
-
-  <title>CLFS-Network-Scripts-&clfs-network-scripts-version;</title>
-
-  <indexterm zone="ch-scripts-network-scripts">
-    <primary sortas="a-Network-Scripts">Network-Scripts</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <para>The CLFS-Network-Scripts package contains a set of scripts to
-    configure the network at bootup and deconfigure it at shutdown.</para>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of CLFS-Network-Scripts</title>
-
-    <para>Install the package:</para>
-
-<screen><userinput remap="install">make install</userinput></screen>
-
-  </sect2>
-
-  <sect2 id="contents-network-scripts" role="content">
-    <title>Contents of CLFS-Network-Scripts</title>
-    <segmentedlist>
-      <segtitle>Installed scripts</segtitle>
-      <segtitle>Installed systemd units</segtitle>
-      <segtitle>Installed directories</segtitle>
-
-      <seglistitem>
-        <seg>ifdown, ifup, ipv4-static</seg>
-        <seg>ifupdown@.service, dhcpcd@.service, nscd.service</seg>
-        <seg>/etc/sysconfig, /lib/services, /lib/lsb (symbolic link)</seg>
-      </seglistitem>
-    </segmentedlist>
-
-    <variablelist>
-      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-      <?dbfo list-presentation="list"?>
-      <?dbhtml list-presentation="table"?>
-
-      <varlistentry id="ifdown-network-scripts">
-        <term><command>ifdown</command></term>
-        <listitem>
-          <para>Stops a network device.</para>
-          <indexterm zone="ch-scripts-network-scripts ifdown-network-scripts">
-            <primary sortas="d-ifdown">ifdown</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="ifup-network-scripts">
-        <term><command>ifup</command></term>
-        <listitem>
-          <para>Initializes a network device.</para>
-          <indexterm zone="ch-scripts-network-scripts ifup-network-scripts">
-            <primary sortas="d-ifup">ifup</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry id="ipv4-static-network-scripts">
-        <term><command>ipv4-static</command></term>
-        <listitem>
-          <para>Provides the functionality needed to assign a static Internet
-          Protocol (IP) address to a network interface.</para>
-          <indexterm zone="ch-scripts-network-scripts ipv4-static-network-scripts">
-            <primary sortas="d-ipv4-static">ipv4-static</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
-
-    </variablelist>
-
-  </sect2>
-
-</sect1>
Index: BOOK/network/common/static.xml
===================================================================
--- BOOK/network/common/static.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
+++ BOOK/network/common/static.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -0,0 +1,69 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="ch-network-static">
+  <?dbhtml filename="network-static.html"?>
+
+  <title>Static Networking Configuration</title>
+
+  <sect2>
+    <title>Creating the Static Network Interface Configuration Files</title>
+
+    <para>Which interfaces are brought up and down by the network script
+    depends on the files and directories in the <filename
+    class="directory">/etc/sysconfig/network-devices</filename> hierarchy.
+    This directory should contain a sub-directory for each interface to be
+    configured, such as <filename>ifconfig.xyz</filename>, where
+    <quote>xyz</quote> is a network interface name. Inside this directory
+    would be files defining the attributes to this interface, such as its IP
+    address(es), subnet masks, and so forth.</para>
+
+    <para>The following command creates a sample <filename>ipv4</filename>
+    file for the <emphasis>eth0</emphasis> device:</para>
+
+<screen><userinput>cd /etc/sysconfig/network-devices &amp;&amp;
+mkdir -v ifconfig.eth0 &amp;&amp;
+cat &gt; ifconfig.eth0/ipv4 &lt;&lt; "EOF"
+<literal>ONBOOT="yes"
+SERVICE="ipv4-static"
+IP="192.168.1.1"
+GATEWAY="192.168.1.2"
+PREFIX="24"
+BROADCAST="192.168.1.255"</literal>
+EOF</userinput></screen>
+
+    <para os="var-ob">The values of these variables must be changed in every file to match
+    the proper setup. If the <envar>ONBOOT</envar> variable is set to
+    <quote>yes</quote> the network script will bring up the Network Interface
+    Card (NIC) during booting of the system. If set to anything but
+    <quote>yes</quote> the NIC will be ignored by the network script and not
+    be brought up.</para>
+
+    <para os="var-s">The <envar>SERVICE</envar> variable defines the method used for
+    obtaining the IP address. The CLFS-Bootscripts package has a modular IP
+    assignment format, and creating additional files in the <filename
+    class="directory">/etc/sysconfig/network-devices/services</filename>
+    directory allows other IP assignment methods.</para>
+
+    <para>The <envar>GATEWAY</envar> variable should contain the default
+    gateway IP address, if one is present. If not, then comment out the
+    variable entirely.</para>
+
+    <para>The <envar>PREFIX</envar> variable needs to contain the number of
+    bits used in the subnet. Each octet in an IP address is 8 bits. If the
+    subnet's netmask is 255.255.255.0, then it is using the first three octets
+    (24 bits) to specify the network number. If the netmask is 255.255.255.240,
+    it would be using the first 28 bits.  Prefixes longer than 24 bits are
+    commonly used by DSL and cable-based Internet Service Providers (ISPs).
+    In this example (PREFIX=24), the netmask is 255.255.255.0. Adjust the
+    <envar>PREFIX</envar> variable according to your specific subnet.</para>
+
+    <para>To configure another DHCP Interface, Follow <xref linkend="conf-dhcpcd"/>.</para>
+
+  </sect2>
+
+</sect1>
Index: BOOK/network/common/sysconfig-network.xml
===================================================================
--- BOOK/network/common/sysconfig-network.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ 	(revision )
@@ -1,105 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-network-static">
-  <?dbhtml filename="network-static.html"?>
-
-  <title>Static Networking Configuration</title>
-
-  <sect2>
-    <title>Creating the Static Network Interface Configuration Files</title>
-
-    <para>Which interfaces are brought up and down by the network script
-    depends on the files and directories in the <filename
-    class="directory">/etc/sysconfig</filename> hierarchy.
-    This directory should contain a sub-directory for each interface to be
-    configured, such as <filename>ifconfig.xyz</filename>, where
-    <quote>xyz</quote> is a network interface name. Inside this directory
-    would be files defining the attributes to this interface, such as its IP
-    address(es), subnet masks, and so forth.</para>
-
-    <note><para>Udev may assign random Network Card Interface names
-    for some network cards such as enp2s1. If you are not sure what
-    your Network Card Interface name is, you can always run
-    <command>ip l</command> after you have booted your system. Again,
-    it is important that <filename>ifconfig.xyz</filename> is named
-    after correct Network Card Interface name (e.g.
-    <filename>ifconfig.enp2s1</filename> or
-    <filename>ifconfig.eth0</filename>) or systemd will fail to bring
-    up your network interface.</para></note>
-
-    <para>The following command creates a sample <filename>ipv4</filename>
-    file for the <emphasis>eth0</emphasis> device:</para>
-
-<screen><userinput>mkdir -pv /etc/sysconfig &amp;&amp;
-cd /etc/sysconfig &amp;&amp;
-cat &gt; ifconfig.eth0 &lt;&lt; "EOF"
-<literal>IFACE="eth0"
-SERVICE="ipv4-static"
-IP="192.168.1.1"
-GATEWAY="192.168.1.2"
-PREFIX="24"
-BROADCAST="192.168.1.255"</literal>
-EOF</userinput></screen>
-
-    <para os="var-ob">The values of these variables must be changed in every
-    file to match the proper setup.</para>
-
-    <para os="var-i">The <envar>IFACE</envar> variable defines the interface
-    name, for example, eth0. It is required for all network device configuration
-    files.</para>
-
-    <para os="var-s">The <envar>SERVICE</envar> variable defines the method used
-    for obtaining the IP address. The CLFS-Network-Scripts package has a modular
-    IP assignment format, and creating additional files in the <filename
-    class="directory">/lib/services</filename>
-    directory allows other IP assignment methods.</para>
-
-    <para>The <envar>GATEWAY</envar> variable should contain the default
-    gateway IP address, if one is present. If not, then comment out the
-    variable entirely.</para>
-
-    <para>The <envar>PREFIX</envar> variable needs to contain the number of
-    bits used in the subnet. Each octet in an IP address is 8 bits. If the
-    subnet's netmask is 255.255.255.0, then it is using the first three octets
-    (24 bits) to specify the network number. If the netmask is 255.255.255.240,
-    it would be using the first 28 bits.  Prefixes longer than 24 bits are
-    commonly used by DSL and cable-based Internet Service Providers (ISPs).
-    In this example (PREFIX=24), the netmask is 255.255.255.0. Adjust the
-    <envar>PREFIX</envar> variable according to your specific subnet.</para>
-
-    <para>For more information see the <command>ifup</command> man page.</para>
-
-    <para>To configure another DHCP Interface, Follow <xref linkend="ch-network-dhcpcd"/>.</para>
-
-  </sect2>
-
-  <sect2>
-    <title>Configuring the Network Interface at boot</title>
-
-    <para>Enabling of the Network Interface configuration is
-    done per interface. To enable Network Interface
-    configuration at boot, run:</para>
-
-<screen role="nodump"><userinput>systemctl enable ifupdown@eth0</userinput></screen>
-
-    <para>To disable previously enabled Network Interface
-    configuration at boot, run:</para>
-
-<screen role="nodump"><userinput>systemctl disable ifupdown@eth0</userinput></screen>
-
-    <para>To manually start the Network Interface configuration,
-    run:</para>
-
-<screen role="nodump"><userinput>systemctl start ifupdown@eth0</userinput></screen>
-
-    <para>Replace eth0 with the correct Network Interface
-    name as described on the beginning of this page.</para>
-
-  </sect2>
-
-</sect1>
Index: BOOK/network/common/systemd-network.xml
===================================================================
--- BOOK/network/common/systemd-network.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ 	(revision )
@@ -1,73 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-systemd-network">
-  <?dbhtml filename="systemd-network.html"?>
-
-  <title>Networking Configuration with Systemd-networkd</title>
-
-  <sect2 role="static">
-    <title>Creating the Static Network Interface Configuration Files</title>
-
-    <note><para>Udev may assign random Network Card Interface names
-    for some network cards such as enp2s1. If you are not sure what
-    your Network Card Interface name is, you can always run
-    <command>ip l</command> after you have booted your system. It is important that the <envar>Name</envar> variable in  <filename>/etc/systemd/network</filename> contain the correct Network Card Interface name (e.g.
-    <envar>Name=enp2s1</envar> or
-    <envar>Name=eth0</envar>) or systemd will fail to bring
-    up your network interface.</para></note>
-
-    <para><command>systemd-networkd</command> uses <filename>/etc/system/network</filename> for configuration files. Refer to systemd.network(5) and systemd.netdev(5). Configure a network interface with a config file. Adjust Name= as required:</para>
-
-<screen><userinput>cd /etc/systemd/network &amp;&amp;
-cat &gt; static.network &lt;&lt; "EOF"
-[Match]
-Name=enp2s0
-
-[Network]
-Address=192.168.1.1/24
-Gateway=192.168.1.2
-EOF</userinput></screen>
-
-    <para os="var-ob">The values of these variables must be changed in every
-    file to match the proper setup.</para>
-
-    <para os="var-i">The <envar>Name</envar> variable defines the interface
-    name, for example, eth0. It is required for all network device configuration
-    files.</para>
-
-    <para>The <envar>Gateway</envar> variable should contain the default
-    gateway IP address, if one is present. If not, then comment out the
-    variable entirely.</para>
-
-    <para>For more information see the <command>systemd.netdev</command> man page.</para>
-
-  </sect2>
-
-  <sect2 role="dhcp">
-    <title>Connecting to a network with DHCP</title>
-
-  <para><command>systemd-networkd</command> uses <filename>/etc/systemd/network</filename> for configuration files. Refer to <filename>systemd.network(5)</filename> and <filename>systemd.netdev(5)</filename>. Configure a network interface with a config file. Adjust Name= as required:</para>
-
-<screen><userinput>cd /etc/systemd/network &amp;&amp;
-cat &gt; dhcp.network &lt;&lt; "EOF"
-[Match]
-Name=enp2s0
-
-[Network]
-DHCP=yes
-EOF</userinput></screen>
-
-  <para><command>systemd-networkd</command> will automatically configure <filename>/run/systemd/network/resolv.conf</filename> when using DHCP. If you did not manually create <filename>/etc/resolv.conf</filename>, create a symlink:</para>
-
-<screen><userinput>ln -sv /run/systemd/network/resolv.conf /etc</userinput></screen>
-
-  <para>Continue to <xref linkend="chapter-bootable"/>.</para>
-
-  </sect2>
-
-</sect1>
Index: BOOK/network/mips-chapter.xml
===================================================================
--- BOOK/network/mips-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/mips-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/mips64-64-chapter.xml
===================================================================
--- BOOK/network/mips64-64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/mips64-64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/mips64-chapter.xml
===================================================================
--- BOOK/network/mips64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/mips64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dhcpcd.xml"/>
 
Index: BOOK/network/ppc-chapter.xml
===================================================================
--- BOOK/network/ppc-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/ppc-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/ppc64-64-chapter.xml
===================================================================
--- BOOK/network/ppc64-64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/ppc64-64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/ppc64-chapter.xml
===================================================================
--- BOOK/network/ppc64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/ppc64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dhcpcd.xml"/>
 
Index: BOOK/network/sparc-chapter.xml
===================================================================
--- BOOK/network/sparc-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/sparc-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/sparc64-64-chapter.xml
===================================================================
--- BOOK/network/sparc64-64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/sparc64-64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/sparc64-chapter.xml
===================================================================
--- BOOK/network/sparc64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/sparc64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dhcpcd.xml"/>
 
Index: BOOK/network/x86-chapter.xml
===================================================================
--- BOOK/network/x86-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/x86-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/x86_64-64-chapter.xml
===================================================================
--- BOOK/network/x86_64-64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/x86_64-64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/dhcpcd.xml"/>
 
Index: BOOK/network/x86_64-chapter.xml
===================================================================
--- BOOK/network/x86_64-chapter.xml	(revision 0131d1b5d5f6cbeb767048de360b7a5648c8883e)
+++ BOOK/network/x86_64-chapter.xml	(revision 82fc053d495bb443305423c3ea5d85aa1e50d1a4)
@@ -16,7 +16,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/resolv.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/choose.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/systemd-network.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/network-scripts.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/sysconfig-network.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="common/static.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="multilib/dhcpcd.xml"/>
 