Index: BOOK/boot/alpha/kernel.xml
===================================================================
--- BOOK/boot/alpha/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/alpha/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -28,17 +28,17 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -48,9 +48,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -70,9 +70,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -84,13 +84,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -99,9 +99,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
@@ -109,5 +109,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/alpha/kernel.xml"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
Index: BOOK/boot/mips/kernel.xml
===================================================================
--- BOOK/boot/mips/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/mips/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -44,17 +44,17 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -64,9 +64,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -86,9 +86,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -100,13 +100,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -115,9 +115,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
@@ -126,5 +126,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
Index: BOOK/boot/mips64/kernel.xml
===================================================================
--- BOOK/boot/mips64/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/mips64/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -44,21 +44,21 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86_64/kernel.xml"
-    xpointer="xpointer(//*[@os='t1'])"/>
+    xpointer="xpointer(//*[@os='m1'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -68,9 +68,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -90,9 +90,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -104,13 +104,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -119,9 +119,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
@@ -130,5 +130,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/mips/kernel.xml"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
Index: BOOK/boot/ppc/kernel.xml
===================================================================
--- BOOK/boot/ppc/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/ppc/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -28,17 +28,17 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -48,9 +48,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -70,9 +70,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -84,13 +84,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -99,9 +99,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
@@ -109,5 +109,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/ppc/kernel.xml"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
Index: BOOK/boot/sparc/kernel.xml
===================================================================
--- BOOK/boot/sparc/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/sparc/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -28,17 +28,17 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -48,9 +48,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -70,9 +70,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -84,13 +84,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -99,9 +99,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
@@ -109,5 +109,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
Index: BOOK/boot/sparc64/kernel.xml
===================================================================
--- BOOK/boot/sparc64/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/sparc64/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -28,19 +28,19 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../x86_64/kernel.xml"
-    xpointer="xpointer(//*[@os='t1'])"/>
+    xpointer="xpointer(//*[@os='m1'])"/>
 
 <screen><userinput>make mrproper ARCH=sparc64 CROSS_COMPILE=${LFS_TARGET}-</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -50,9 +50,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -72,9 +72,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -86,13 +86,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -101,9 +101,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
@@ -111,5 +111,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/sparc/kernel.xml"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
Index: BOOK/boot/x86/kernel.xml
===================================================================
--- BOOK/boot/x86/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/x86/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -117,7 +117,13 @@
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
     href="../../bootable/x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+<screen os="w1"><userinput>cp System.map ${LFS}/boot/System.map-&linux-version;</userinput></screen>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../../bootable/x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 
-<screen os="x1"><userinput>cp System.map ${LFS}/boot/System.map-&linux-version;</userinput></screen>
+<screen os="x1"><userinput>cp .config ${LFS}/boot/config-&linux-version;</userinput></screen>
 
   </sect2>
Index: BOOK/boot/x86_64/kernel.xml
===================================================================
--- BOOK/boot/x86_64/kernel.xml	(revision 9afeb8b09c9cc02a922bff5469f01158ba2bb2b0)
+++ BOOK/boot/x86_64/kernel.xml	(revision 83ff67c135631d2d49477891f5bf1a069fd18c9a)
@@ -28,21 +28,21 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='a'])"/>
 
-    <para os="t1">To ensure that your system boots and you can properly run both
+    <para os="m1">To ensure that your system boots and you can properly run both
     32 bits and 64 bits binaries, please make sure that you enable support for
     ELF and emulations for 32bit ELF into the kernel.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='b'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='c'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='d'])"/>
 
@@ -52,9 +52,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='f'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
@@ -74,9 +74,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='l'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='m'])"/>
 
@@ -88,13 +88,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='p'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='q'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='s'])"/>
 
@@ -103,9 +103,9 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='u'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='v'])"/>
 
@@ -113,5 +113,13 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
-    href="../../bootable/x86_64/kernel.xml"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
+    xpointer="xpointer(//*[@os='w1'])"/>
+
+    <xi:include xmlns:xi="http://www.w3.org/2003/XInclude"
+    href="../x86/kernel.xml"
     xpointer="xpointer(//*[@os='x'])"/>
 