Index: BOOK/cross-tools/alpha/gcc-final.xml
===================================================================
--- BOOK/cross-tools/alpha/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/alpha/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/common/gcc-final.xml
===================================================================
--- BOOK/cross-tools/common/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/common/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/mips/gcc-final.xml
===================================================================
--- BOOK/cross-tools/mips/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/mips/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/mips64-64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/mips64-64/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/mips64-64/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/mips64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/mips64/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/mips64/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/ppc/gcc-final.xml
===================================================================
--- BOOK/cross-tools/ppc/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/ppc/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/ppc64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/ppc64/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/ppc64/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/sparc/gcc-final.xml
===================================================================
--- BOOK/cross-tools/sparc/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/sparc/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/sparc64-64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/sparc64-64/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/sparc64-64/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/sparc64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/sparc64/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/sparc64/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/x86_64-64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/x86_64-64/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/x86_64-64/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">
Index: BOOK/cross-tools/x86_64/gcc-final.xml
===================================================================
--- BOOK/cross-tools/x86_64/gcc-final.xml	(revision 42546b79f636a2c06fd191419488edc34c4c2a61)
+++ BOOK/cross-tools/x86_64/gcc-final.xml	(revision 84cf555fe1836d89dda400f855fff3f0771ced98)
@@ -9,5 +9,5 @@
   <?dbhtml filename="gcc-final.html"?>
 
-  <title>Cross GCC-&version; - Final</title>
+  <title>Cross GCC-&gcc-version; - Final</title>
 
   <indexterm zone="ch-cross-tools-gcc-final">